// VirusKiller.cpp: implementation of the VirusKiller class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "VirusKiller.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif



/* Implimentation of basic Virus Killer 
  ------------------------------------------------------------------------------------------------
*/


VirusKiller::VirusKiller(LPCTSTR name, LPCTSTR extensions, bool all_files)
	: m_name("<unknown>"), m_signature(NULL), m_allfiles(all_files)
{
	if (name) m_name=name; 
	if (extensions) m_extensions=extensions;
}

VirusKiller::VirusKiller(const VirusKiller& copy)
	: m_name(copy.m_name), m_extensions(copy.m_extensions), m_signature(copy.m_signature), m_allfiles(copy.m_allfiles)
{
}

VirusKiller& VirusKiller::operator=(const VirusKiller& copy)
{
	m_name=copy.m_name; 
	m_extensions=copy.m_extensions;
	m_signature=copy.m_signature;
	m_allfiles=copy.m_allfiles;
	return *this; 
}
